Error launching wxgui

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Error launching wxgui

Eric Patton
Hi,

I've encountered the following error launching the wxgui from Grass 6.5
using today's svn checkout:

(I get several screens worth of the following text)

<snip>
d': None}, 'boundaryOne': {'color': (0, 255, 0), 'enabled': True}, 'direction': {'color': (255, 0, 0), 'enabled': False}, 'point': {'color': (0, 0, 0), 'enabled': True}, 'area': {'color': (217, 255, 217), 'enabled': False}, 'vertex': {'color': (255, 20, 147), 'enabled': False}, 'boundaryNo': {'color': (126, 126, 126), 'enabled': True}, 'highlight': {'color': (255, 255, 0), 'enabled': None}, 'centroidOut': {'color': (165, 42, 42), 'enabled': True}, 'centroidIn': {'color': (0, 0, 255), 'enabled': True}, 'centroidDup': {'color': (156, 62, 206), 'enabled': True}, 'nodeTwo': {'color': (0, 86, 45), 'enabled': True}, 'nodeOne': {'color': (255, 0, 0), 'enabled': True}, 'boundaryTwo': {'color': (255, 135, 0), 'enabled': True}, 'line': {'color': (0, 0, 0), 'enabled': True}}, 'queryDangle': {'than-selection': 0, 'thresh': 0}, 'catBoundary': {'enabled': False}}, 'workspace': {'posManager': {'enabled': False}, 'posDisplay': {'enabled': False}}, 'modeler': {'action': {'color': {'disabled': (211, 211, 211, 255), 'running': (255, 0, 0), 'valid': (211, 211, 211), 'invalid': (255, 255, 255)}, 'width': {'default': 1, 'parameterized': 2}, 'size': {'width': 100, 'height': 50}}, 'data': {'color': {'raster': (215, 215, 248), 'vector': (248, 215, 215), 'raster3d': (215, 248, 215)}, 'size': {'width': 175, 'height': 50}}, 'loop': {'size': {'width': 175, 'height': 50}}}, 'advanced': {'iconTheme': {'type': 'grass'}, 'settingsFile': {'type': 'home'}}}
advanced settingsFile type home
<snip>

After all this finishes, the following message is printed:

WARNING: Nviz extension (3D view mode) disabled. Reason: No module named ogsf
Traceback (most recent call last):
  File "/usr/local/grass-6.5.svn/etc/wxpython/wxgui.py", line 85, in <module>
    import gui_modules.nviz_tools as nviz_tools
  File "/usr/local/grass-6.5.svn/etc/wxpython/gui_modules/nviz_tools.py", line 2861, in <module>
    class NvizPreferencesDialog(PreferencesBaseDialog):
NameError: name 'PreferencesBaseDialog' is not defined



~ Eric.

_______________________________________________
grass-dev mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/grass-dev
Reply | Threaded
Open this post in threaded view
|

Re: [GRASS-user] Error launching wxgui

Markus Metz-2
Eric Patton wrote:
> Hi,
>
> I've encountered the following error launching the wxgui from Grass 6.5
> using today's svn checkout:
>
> (I get several screens worth of the following text)
>
Looks like Martin Landa is printing out the settings for debugging?
There is new print stuff as of r42689 in preferences.py

The Nviz warning should go away soon, Martin is busy with it for GSoC.

> <snip>
> d': None}, 'boundaryOne': {'color': (0, 255, 0), 'enabled': True}, 'direction': {'color': (255, 0, 0), 'enabled': False}, 'point': {'color': (0, 0, 0), 'enabled': True}, 'area': {'color': (217, 255, 217), 'enabled': False}, 'vertex': {'color': (255, 20, 147), 'enabled': False}, 'boundaryNo': {'color': (126, 126, 126), 'enabled': True}, 'highlight': {'color': (255, 255, 0), 'enabled': None}, 'centroidOut': {'color': (165, 42, 42), 'enabled': True}, 'centroidIn': {'color': (0, 0, 255), 'enabled': True}, 'centroidDup': {'color': (156, 62, 206), 'enabled': True}, 'nodeTwo': {'color': (0, 86, 45), 'enabled': True}, 'nodeOne': {'color': (255, 0, 0), 'enabled': True}, 'boundaryTwo': {'color': (255, 135, 0), 'enabled': True}, 'line': {'color': (0, 0, 0), 'enabled': True}}, 'queryDangle': {'than-selection': 0, 'thresh': 0}, 'catBoundary': {'enabled': False}}, 'workspace': {'posManager': {'enabled': False}, 'posDisplay': {'enabled': False}}, 'modeler': {'action': {'color': {'disabled': (211, 211, 211, 255), 'running': (255, 0, 0), 'valid': (211, 211, 211), 'invalid': (255, 255, 255)}, 'width': {'default': 1, 'parameterized': 2}, 'size': {'width': 100, 'height': 50}}, 'data': {'color': {'raster': (215, 215, 248), 'vector': (248, 215, 215), 'raster3d': (215, 248, 215)}, 'size': {'width': 175, 'height': 50}}, 'loop': {'size': {'width': 175, 'height': 50}}}, 'advanced': {'iconTheme': {'type': 'grass'}, 'settingsFile': {'type': 'home'}}}
> advanced settingsFile type home
> <snip>
>
> After all this finishes, the following message is printed:
>
> WARNING: Nviz extension (3D view mode) disabled. Reason: No module named ogsf
> Traceback (most recent call last):
>  File "/usr/local/grass-6.5.svn/etc/wxpython/wxgui.py", line 85, in <module>
>    import gui_modules.nviz_tools as nviz_tools
>  File "/usr/local/grass-6.5.svn/etc/wxpython/gui_modules/nviz_tools.py", line 2861, in <module>
>    class NvizPreferencesDialog(PreferencesBaseDialog):
> NameError: name 'PreferencesBaseDialog' is not defined
>
>
>
> ~ Eric.
>
> _______________________________________________
> grass-user mailing list
> [hidden email]
> http://lists.osgeo.org/mailman/listinfo/grass-user
>
_______________________________________________
grass-dev mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/grass-dev
Reply | Threaded
Open this post in threaded view
|

Re: Error launching wxgui

hamish-2
In reply to this post by Eric Patton
Eric wrote:
> I've encountered the following error launching the wxgui
> from Grass 6.5 using today's svn checkout:

I don't know if it helps for this error or not, but I've temporarily
re-enabled building swig/python in the 6.5 development branch for now.
I get the feeling that we are fighting too many battles at the same time
& so leave it to Martin to decide when that is ready to be switched off.
It is somewhat expected that wxNviz & ctypes will be a bit unstable in
6.5 for the next small while.


regards,
Hamish



     
_______________________________________________
grass-dev mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/grass-dev
Reply | Threaded
Open this post in threaded view
|

Re: Error launching wxgui

Markus Metz-2
I need a working 6.5 for other bugs, so I fixed nviz_tools.py and
preferences.py in r42720 and r42721

The warning

WARNING: Nviz extension (3D view mode) disabled. Reason: No module named ogsf

is still there, but Martin is going to replace the cpp nviz version
with a python version, IIUC, so no worries there.

Markus M


Hamish wrote:

> Eric wrote:
>> I've encountered the following error launching the wxgui
>> from Grass 6.5 using today's svn checkout:
>
> I don't know if it helps for this error or not, but I've temporarily
> re-enabled building swig/python in the 6.5 development branch for now.
> I get the feeling that we are fighting too many battles at the same time
> & so leave it to Martin to decide when that is ready to be switched off.
> It is somewhat expected that wxNviz & ctypes will be a bit unstable in
> 6.5 for the next small while.
>
>
> regards,
> Hamish
>
>
>
>
> _______________________________________________
> grass-dev mailing list
> [hidden email]
> http://lists.osgeo.org/mailman/listinfo/grass-dev
>
_______________________________________________
grass-dev mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/grass-dev
Reply | Threaded
Open this post in threaded view
|

Re: Error launching wxgui

Glynn Clements
In reply to this post by hamish-2

Hamish wrote:

> > I've encountered the following error launching the wxgui
> > from Grass 6.5 using today's svn checkout:
>
> I don't know if it helps for this error or not, but I've temporarily
> re-enabled building swig/python in the 6.5 development branch for now.

Why? wxGUI doesn't use anything from swig/python.

AFAICT, the problems with the nviz module are due to a partial
backport; nviz_tools.py imports the (ctypes-based, Python) wxgui
module while the other files import the (SWIG-based, binary)
grass6_wxnviz module.

--
Glynn Clements <[hidden email]>
_______________________________________________
grass-dev mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/grass-dev
Reply | Threaded
Open this post in threaded view
|

Re: [GRASS-user] Error launching wxgui

Martin Landa
In reply to this post by Markus Metz-2
Hi,

2010/7/8 Markus Metz <[hidden email]>:

> The Nviz warning should go away soon, Martin is busy with it for GSoC.

wxNviz in develbranch_6 requires backport of ctypes from trunk. Then
it will be fixed.

Martin

--
Martin Landa <landa.martin gmail.com> * http://gama.fsv.cvut.cz/~landa
_______________________________________________
grass-dev mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/grass-dev